Package com.xebialabs.xlrelease.domain.events

# Class ReleaseRestoredEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.ReleaseRestoredEvent

All Implemented Interfaces:
  `ReleaseEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseRestoredEvent extends Object implements ReleaseEvent, scala.Product, Serializable
Event published when template has been restored from previous revision.

param: original a copy of the original release or template before update. param: updated the new updated release or template instance. You can use `original()` to compare which properties have changed. param: revisionId id of the revision that was restored.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseRestoredEvent(Release original, Release updated, int revisionId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReleaseRestoredEvent`
  `apply(Release original, Release updated, int revisionId)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseRestoredEvent`
  `copy(Release original, Release updated, int revisionId)`
  `Release`
  `copy$default$1()`
  `Release`
  `copy$default$2()`
  `int`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `Release`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `int`
  `revisionId()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<Release,Release,Object>>`
  `unapply(ReleaseRestoredEvent x$0)`
  `Release`
  `updated()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseRestoredEvent

    public ReleaseRestoredEvent(Release original, Release updated, int revisionId)

- ## Method Details

  - ### apply

    public static ReleaseRestoredEvent apply(Release original, Release updated, int revisionId)

  - ### unapply

    public static scala.Option<scala.Tuple3<Release,Release,Object>> unapply(ReleaseRestoredEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### original

    public Release original()

  - ### updated

    public Release updated()

  - ### revisionId

    public int revisionId()

  - ### copy

    public ReleaseRestoredEvent copy(Release original, Release updated, int revisionId)

  - ### copy$default$1

    public Release copy$default$1()

  - ### copy$default$2

    public Release copy$default$2()

  - ### copy$default$3

    public int copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`